Subject: bug#75292: 31.0.50; igc: (file-error "Doing vfork" "Bad address")

From: Eli Zaretskii <[email-masked]>
Date: Thu, 02 Jan 2025 23:07:59 +0200

> From: Ihor Radchenko <[email-masked]>
> Cc: [email-masked], [email-masked]
> Date: Thu, 02 Jan 2025 20:45:57 +0000
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > I think you just need to recompile callproc.c and then relink.  Like
> > this:
> >
> >   $ cd src
> >   $ make callproc.o -W callproc.c MYCPPFLAGS='-DUSABLE_POSIX_SPAWN=0'
> >   $ cd .. && make
> 
> Done.
> I will run this version for a couple of days and see if the error
> re-surface.
> 
> [yantar92:~/Git/emacs] scratch/igc+* 1h3m1s 1 ± 
> > cd src
> [yantar92:~/Git/emacs/src] scratch/igc+* 2s ± 
> > make callproc.o -W callproc.c MYCPPFLAGS='-DUSABLE_POSIX_SPAWN=0'
>   GEN      globals.h
>   CC       callproc.o
> callproc.c:47:10: warning: "USABLE_POSIX_SPAWN" redefined
>    47 | # define USABLE_POSIX_SPAWN 1
>       |          ^~~~~~~~~~~~~~~~~~
> <command-line>: note: this is the location of the previous definition
> [yantar92:~/Git/emacs/src] scratch/igc+* 7s ± 

Ugh, then I guess you will need to modify the source, indeed, to
change

  # define USABLE_POSIX_SPAWN 1

to say

  # define USABLE_POSIX_SPAWN 0

Sorry.